STRUCT IRQ_CHIP_TYPE(9)

NAME
struct_irq_chip_type - Generic interrupt chip instance for a flow type

SYNOPSIS

struct irq_chip_type {
  struct irq_chip chip;
  struct irq_chip_regs regs;
  irq_flow_handler_t handler;
  u32 type;
  u32 mask_cache_priv;
  u32 * mask_cache;
};

MEMBERS

chip
    The real interrupt chip which provides the callbacks

regs
    Register offsets for this chip

handler
    Flow handler associated with this chip

type
    Chip can handle these flow types

mask_cache_priv
    Cached mask register private to the chip type

mask_cache
    Pointer to cached mask register

DESCRIPTION

A irq_generic_chip can have several instances of irq_chip_type when it requires different functions and register offsets for different flow types.

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT